EclipseWtp (Gradle API 2.14.1)

org.gradle.plugins.ide.eclipse.model

## Class EclipseWtp

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.eclipse.model.EclipseWtp

- All Implemented Interfaces:
    GroovyObject

      public class EclipseWtp
      extends GroovyObjectSupport

  Enables fine-tuning wtp/wst details of the Eclipse plugin

  More interesting examples you will find in docs for `EclipseWtpComponent` and `EclipseWtpFacet`

       apply plugin: 'java'
       apply plugin: 'war'
       apply plugin: 'eclipse-wtp'

       eclipse {

         //if you want parts of paths in resulting file(s) to be replaced by variables (files):
         pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

         wtp {
           component {
             //for examples see docs for EclipseWtpComponent
           }

           facet {
             //for examples see docs for EclipseWtpFacet
           }
         }
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EclipseWtp(EclipseClasspath eclipseClasspath)` Create a new EclipseWtp.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `component(Closure action)` Configures wtp component.
    `void` | `facet(Closure action)` Configures wtp facet.
    `EclipseWtpComponent` | `getComponent()` Configures wtp component.
    `EclipseWtpFacet` | `getFacet()` Configures wtp facet.
    `void` | `setComponent(EclipseWtpComponent component)`
    `void` | `setFacet(EclipseWtpFacet facet)`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EclipseWtp

          public EclipseWtp(EclipseClasspath eclipseClasspath)

      Create a new EclipseWtp.
      Parameters:
        `eclipseClasspath` - - wtp needs access to classpath

  - ### Method Detail

    - #### getComponent

          public EclipseWtpComponent getComponent()

      Configures wtp component.

      For examples see docs for `EclipseWtpComponent`

    - #### setComponent

          public void setComponent(EclipseWtpComponent component)

    - #### component

          public void component(Closure action)

      Configures wtp component.

      For examples see docs for `EclipseWtpComponent`

      Parameters:
        `action` -

    - #### getFacet

          public EclipseWtpFacet getFacet()

      Configures wtp facet.

      For examples see docs for `EclipseWtpFacet`

    - #### setFacet

          public void setFacet(EclipseWtpFacet facet)

    - #### facet

          public void facet(Closure action)

      Configures wtp facet.

      For examples see docs for `EclipseWtpFacet`

      Parameters:
        `action` -